org.codehaus.plexus.maven.plugin

## Class ComponentDescriptorExtractorSupport

- java.lang.Object
- - org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport

All Implemented Interfaces:
  ComponentDescriptorExtractor

Direct Known Subclasses:
  ClassComponentDescriptorExtractor, SourceComponentDescriptorExtractor

    public abstract class ComponentDescriptorExtractorSupport
    extends Object
    implements ComponentDescriptorExtractor

Support for `ComponentDescriptorExtractor` implementations.

Version:
  $Id: ComponentDescriptorExtractorSupport.java 6925 2007-10-01 04:35:26Z user57 $

### Field Summary

Fields
`protected org.slf4j.Logger` `log`

### Fields inherited from interface org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractor

`COMPILE_SCOPE, ROLE, TEST_SCOPE`

### Constructor Summary

Constructors
Constructor and Description
`ComponentDescriptorExtractorSupport()`

### Method Summary

Methods
`protected void` `applyDefaults(org.codehaus.plexus.component.repository.cdc.ComponentDescriptor descriptor, Map defaultsByRole)`
`protected Map` `getDefaultsByRole(org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractor

`extract`

### Field Detail

#### log

    protected final org.slf4j.Logger log

### Constructor Detail

#### ComponentDescriptorExtractorSupport

    public ComponentDescriptorExtractorSupport()

### Method Detail

#### getDefaultsByRole

    protected Map getDefaultsByRole(org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)

#### applyDefaults

    protected void applyDefaults(org.codehaus.plexus.component.repository.cdc.ComponentDescriptor descriptor,
                     Map defaultsByRole)